Page MenuHomePhabricator

[WMDE-Fundraising] Write update script for DB schema changes
Closed, ResolvedPublic2 Story Points

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 11:09 AM
Tobi_WMDE_SW set Security to None.Jul 29 2015, 11:10 AM
Tobi_WMDE_SW edited a custom field.
WMDE-Fisch moved this task from Backlog to Doing on the TCB-Team-Fundraising-Sprint-2015-07-29 board.

To update the DB to the current schema we can use the Doctrine CLI SchemaTool.

It works fine for simple cases like adding columns ore changing them. We decided, that this is sufficient for the near future. See as well:

https://github.com/wmde/FundraisingStore/issues/13

WMDE-Fisch closed this task as Resolved.Aug 11 2015, 7:58 AM
Addshore moved this task from Incoming to Done on the TCB-Team board.Nov 27 2015, 10:29 AM